
    (function() {
      var baseURL = "https://cdn.shopify.com/shopifycloud/checkout-web/assets/";
      var scripts = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/polyfills-legacy.D4Vezty5.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/app-legacy.-DtPtqhR.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/VaultedContact-legacy.B0fn0p6t.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/DeliveryMethodSelectorSection-legacy.DjsCw0zC.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useUnauthenticatedErrorModal-legacy.LcCqxiLX.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/AmazonPayPCIButton-legacy.BfVJosk8.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/CheckoutAsGuest-legacy.DL7eoL49.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useRefEffect-legacy.yUF5T4Wg.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/ShopPayLogo-legacy.BwXls0Cw.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/PickupPointCarrierLogo-legacy.D36doSrg.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/hooks-legacy.CZJAQU1J.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/LocalizationExtensionField-legacy.Coep5fva.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useShowShopPayOptin-legacy.CWbKEuN3.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/Rollup-legacy.BpERzgKM.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useShopPayRequiresVerification-legacy.CuTq9I4E.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/Section-legacy.Dc98OOWt.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/GooglePayPCIButton-legacy.DWlGPftp.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/PayButtonSection-legacy.DYmb0i3K.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/RageClickCapture-legacy.CKmvpAEg.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useInstallmentsErrorHandler-legacy.DTGcrh_A.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/index-legacy.6O8cvt6_.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/DutyOptions-legacy.DH4G-qL1.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/SubscriptionPriceBreakdown-legacy.CyiBW8zR.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useAmazonContact-legacy.Cne0koL0.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/StockProblemsLineItemList-legacy.gj_rgPyc.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useGetBuyWithPrimeCheckoutSessionId-legacy.JzGEdHhC.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/index-legacy.BAV1qru9.js"];
      var styles = [];
      var fontPreconnectUrls = [];
      var fontPrefetchUrls = [];
      var imgPrefetchUrls = [];

      function preconnect(url, callback) {
        var link = document.createElement('link');
        link.rel = 'dns-prefetch preconnect';
        link.href = url;
        link.crossOrigin = '';
        link.onload = link.onerror = callback;
        document.head.appendChild(link);
      }

      function preconnectAssets() {
        var resources = [baseURL].concat(fontPreconnectUrls);
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) preconnect(res, next);
        })();
      }

      function prefetch(url, as, callback) {
        var link = document.createElement('link');
        if (link.relList.supports('prefetch')) {
          link.rel = 'prefetch';
          link.fetchPriority = 'low';
          link.as = as;
          if (as === 'font') link.type = 'font/woff2';
          link.href = url;
          link.crossOrigin = '';
          link.onload = link.onerror = callback;
          document.head.appendChild(link);
        } else {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', url, true);
          xhr.onloadend = callback;
          xhr.send();
        }
      }

      function prefetchAssets() {
        var resources = [].concat(
          scripts.map(function(url) { return [url, 'script']; }),
          styles.map(function(url) { return [url, 'style']; }),
          fontPrefetchUrls.map(function(url) { return [url, 'font']; }),
          imgPrefetchUrls.map(function(url) { return [url, 'image']; })
        );
        var index = 0;
        function run() {
          var res = resources[index++];
          if (res) prefetch(res[0], res[1], next);
        }
        var next = (self.requestIdleCallback || setTimeout).bind(self, run);
        next();
      }

      function onLoaded() {
        try {
          if (parseFloat(navigator.connection.effectiveType) > 2 && !navigator.connection.saveData) {
            preconnectAssets();
            prefetchAssets();
          }
        } catch (e) {}
      }

      if (document.readyState === 'complete') {
        onLoaded();
      } else {
        addEventListener('load', onLoaded);
      }
    })();
  